/*--------------------------------------------------------------
# Common css 
--------------------------------------------------------------*/
html,
body {
	height: 100%;
	font-size: 15px;
}

#main {
	/* 減去footer高度 */
	min-height: calc(100% - 20%);
	/* header 高度 */
	margin-top: 80px;
	/* 背景設定 */
	position: relative;
	padding-bottom: 2%;
}

section {
	overflow: hidden;
}

/*--------------------------------------------------------------
# Spacing, Font size, Border
--------------------------------------------------------------*/
.fs-sm {
	font-size: 15px;
}

.fs-xs {
	font-size: 13px;
}

.py-2rem {
	padding-top: 2rem;
	padding-bottom: 2rem;
}

.my-2rem {
	margin-top: 2rem;
	margin-bottom: 2rem;
}

.rounded-1rem {
	border-radius: 1rem;
}

/*--------------------------------------------------------------
# Card
--------------------------------------------------------------*/
.card {
	background-color: #ffffffe0;
}

.card-shadow {
	border-radius: 30px;
	border: 1px solid rgb(219, 219, 219);
	box-shadow: 5px 5px 4px rgb(0 0 0 / 10%);
}

/*--------------------------------------------------------------
# Form
--------------------------------------------------------------*/
.input-size {
	border-radius: 12px;
	padding: 8px 16px;
}

/* dropdown box,dropdown :hover */
.bootstrap-select>.dropdown-toggle,
.bootstrap-select>.dropdown-toggle:hover {
	color: #212529;
	background-color: white;
	border: 1px solid #ced4da !important;
	outline: 0px !important;
	height: 100%;
	box-shadow: none;
	border-radius: 12px !important;
	padding: 8px 16px !important;
}

/* dropdown :focus, .dropdown-toggle.show*/
.bootstrap-select>.dropdown-toggle:focus,
.bootstrap-select>.dropdown-toggle.show {
	color: #212529;
	background-color: #fff;
	border-color: #86b7fe !important;
	outline: 0px !important;
	box-shadow: 0 0 0 .25rem rgba(13, 110, 253, .25) !important;
	height: 100%;
	border-radius: 12px !important;
	padding: 8px 16px !important;
}

.error-message {
	color: #dc3545;
}

#captcha {
	height: 40.16px;
	/* 高度設為父容器的 100% */
	object-fit: cover;
	/* 保持圖片長寬比並填滿容器 */
	margin-right: 1rem;
}

/*--------------------------------------------------------------
# buttons
--------------------------------------------------------------*/
.btn-submit,
.btn-refill {
	padding: 14px 60px;
	border-radius: 10px;
	/*background: linear-gradient(45deg, #ff8800e0, #ff4b23af, #ff004c8c, #ff2323cc) !important;*/
	background: linear-gradient(45deg, #FF6565, #FF7AAF, #FF9491, #FF8159) !important;
	color: white;
	font-size: 16px;
	font-weight: 600;
	letter-spacing: 2px;
}

.btn-submit:hover,
.btn-refill:hover {
	color: white;
	background: linear-gradient(0deg, #B82B22 100%, #B82B22 100%) !important;
}

.btn-clear {
	padding: 14px 60px;
	border-radius: 10px;
	background: #FF5D2B;
	color: white;
	font-weight: 600;
	font-size: 16px;
	letter-spacing: 2px;
}

.btn-clear:hover {
	color: white;
	background: rgb(240, 66, 0);
}

.btn-regenerate {
	border-radius: 10px;
	background-color: #FF5D2B;
	color: white;
	font-weight: 600;
	height: 40.16px;
}

.btn-regenerate:hover {
	color: white;
	background-color: rgb(240, 66, 0);
}

.btn-goback {
	padding: 14px 60px;
	border-radius: 10px;
	background-color: #08a4a7;
	color: white;
	font-weight: 600;
}

.btn-goback:hover {
	color: white;
	background-color: rgb(6, 131, 134);
}

/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/
.header {
	background: #fff;
	transition: all 0.5s;
	z-index: 997;
	height: 80px;
	background: linear-gradient(#ffffff, #ffffff) padding-box, linear-gradient(45deg, #FF6565, #FF7AAF, #FF9491, #FF8159) border-box;
	border-bottom: 5px solid transparent;
	box-shadow: 0 7px 4px 0 rgba(0, 0, 0, .08)
}

.header a {
	text-decoration: none;
}

#header-logoImg {
	height: 40px;
	max-width: 268px;
	margin-right: 6px;
}

/*--------------------------------------------------------------
# Footer
--------------------------------------------------------------*/
.footer {
	font-size: 14px;
	min-height: 20%;
	background-color: #1f1f24;
	padding: 30px 0;
	color: rgba(255, 255, 255, 1);
}

.footer .icon {
	margin-right: 15px;
	font-size: 24px;
	line-height: 0;
}

.footer h4 {
	font-size: 16px;
	font-weight: bold;
	position: relative;
	padding-bottom: 5px;
	color: #fff;
}

.footer-text {
	color: rgba(255, 255, 255, 0.8);
}

@media(max-width:767.98px) {

	.footer-content {
		width: 80%;
		margin-left: 10%;
	}
}

/*--------------------------------------------------------------
# error page 錯誤頁面
--------------------------------------------------------------*/

.error {
	font-family: Arial, sans-serif;
}

.error-statuscode {
	/* 文字顏色設定為透明 */
	color: #0000;
	/* 設定背景裁切為文字形狀 */
	background: linear-gradient(45deg, #FF6565, #FF7AAF, #FF9491, #FF8159);
	background-clip: text;
	font-size: 140px;
	font-weight: 900;
}

/*--------------------------------------------------------------
# Scroll Top Button  回到頂部按鈕
--------------------------------------------------------------*/
.scroll-top {
	position: fixed;
	visibility: hidden;
	opacity: 0;
	right: 15px;
	bottom: -15px;
	z-index: 99999;
	background-color: #08a4a7;
	width: 44px;
	height: 44px;
	border-radius: 50px;
	transition: all 0.4s;
}

.scroll-top i {
	font-size: 24px;
	color: aliceblue;
	line-height: 0;
}

.scroll-top:hover {
	background-color: color-mix(in srgb, aliceblue, transparent 20%);
}

.scroll-top:hover i {
	color: #08a4a7;
}

.scroll-top.active {
	visibility: visible;
	opacity: 1;
	bottom: 15px;
}